Subject: socket()
From: [email-masked] (Dr. David K. Johnson)

17 Feb 1998 06:08:19 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I have tried to recompile and run a simple socket server from Unix to my
PC with
b18-

however, my socket creation is not working...

the code is essentially following Curry's "Unix Systems Programming"
Example

<sys/types>
<sys/socket>
<netinet/in.h>
:
:

if ((s=socket(AF_INET, SOCK_STREAM, 0))< 0)
{
    perror("socket");
    exit(1);
}

and here is where my code exits every time with a negative descriptor
for the socket??
I am assuming that to compile,  all I need is gcc -o svr svr.c
and that the cygwin.dll will act as libnsl and libsocket for me...

has anyone else encountered this? Am I missing something very simple?

Thanks

davej

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".